#-*- encoding: utf-8 -*- 
from PIL import Image
import numpy as np
import os
import pandas as pd
import pylab as pl
from sklearn.decomposition import PCA as RandomizedPCA
from sklearn.externals import joblib
from sklearn.svm import LinearSVC
import matplotlib.pyplot as plt

def img_to_matrix(filename, verbose=False):
    img = Image.open(filename)
    imgArray = np.asarray(img)
    return imgArray

def flatten_image(img):
    s = img.shape[0] * img.shape[1] * img.shape[2]
    img_wide = img.reshape(1,s)
    return img_wide[0]

def main():
    img_dir = 'image/'
    images = [img_dir + f for f in os.listdir(img_dir)]
    labels = ['tree' if 'tree' in f.split('/')[-1] else 'fallen_tree' for f in images]
    #xaxis = [int(f.split('/')[-1].split('_')[1]) for f in images]
    #Syaxis = [int(f.split('/')[-1].split('_')[2].split('.')[0]) for f in images]
    data = []
    

    for image in images:
        if image == "image/Thumbs.bd":
            continue
        img = img_to_matrix(image)
        img = flatten_image(img)
        data.append(img)

    y = np.where(np.array(labels)=='tree',1,0)
    train_x = data
    train_y = y

    # plot in 2 dimentions
    pca = RandomizedPCA(n_components=10)
    pca.fit_transform(data)
    print(pca.explained_variance_ratio_)
    print(np.cumsum(pca.explained_variance_ratio_))
    print (pca.explained_variance_)
    """ev_ratio = pca.explained_variance_ratio_
    ev_ratio = np.hstack([0,ev_ratio.cumsum()])
    plt.plot(ev_ratio)
    plt.show()"""
    


    """df = pd.DataFrame({"x": X[:, 0], "y": X[:, 1],"label": np.where(y == 1, 'tree', 'fallen_tree')})
    colors = ['red', 'green']
    markers = ['o','o']
    for label, color in zip(df['label'].unique(), colors):
        mask = df['label'] == label
        pl.scatter(df[mask]['x'], df[mask]['y'], c=color, label=label)

    #np.savetxt("label.csv",y,fmt="%.0f",delimiter=',')
    np.savetxt("feat2.csv",X,fmt="%f",delimiter=',')
    #np.savetxt("xaxis.csv",xaxis,fmt="%.0f",delimiter=',')
    #np.savetxt("yaxis.csv",yaxis,fmt="%.0f",delimiter=',')

    pl.legend
    #pl.xlim(-15000,15000)
    #pl.ylim(-10000,10000)
    #pl.savefig('feature.png')"""

if __name__ == '__main__':
    main()