import numpy as np
from sklearn import preprocessing
from sklearn.model_selection import train_test_split
from sklearn import svm
from sklearn.metrics import accuracy_score, precision_score, recall_score
import pandas as pd

data = np.loadtxt('feat3.csv', delimiter=',', dtype=float)

labels = data[:, 0:1] 
features = preprocessing.minmax_scale(data[:, 1:]) 

x_train, x_test, y_train, y_test = train_test_split(features, labels.ravel(), test_size=0.5)

clf = svm.SVC(kernel='rbf', C=10, gamma=0.1) # clfはclassificationの略語

clf.fit(x_train, y_train)

clf.predict(x_test)

predict = clf.predict(x_test)
