import numpy as np
from sklearn import preprocessing
from sklearn.model_selection import train_test_split
from sklearn import svm
from sklearn.metrics import accuracy_score, precision_score, recall_score
import pandas as pd
from sklearn.multiclass import OneVsRestClassifier
from sklearn.svm import SVC
from sklearn.model_selection import train_test_split
from sklearn.metrics import accuracy_score

data = np.loadtxt('4classfication2.csv', delimiter=',', dtype=float)

labels = data[:, 0:1] 
features = preprocessing.minmax_scale(data[:, 1:]) 
x_train, x_test, y_train, y_test = train_test_split(features, labels.ravel(), test_size=0.5)

C = 1
kernel = 'rbf'
gamma  = 0.05

estimator = SVC(C=C, kernel=kernel, gamma=gamma)
classifier = OneVsRestClassifier(estimator)
classifier.fit(x_train, y_train)
pred_y = classifier.predict(x_test)

classifier2 = SVC(C=C, kernel=kernel, gamma=gamma)
classifier2.fit(x_train, y_train)
pred_y2 = classifier2.predict(x_test)

print ('One-versus-the-rest: ', accuracy_score(y_test, pred_y))
print ('One-versus-one: ', accuracy_score(y_test, pred_y2))